{
  "schema_version": "1.4.0",
  "id": "GHSA-v7cc-2p5c-5943",
  "modified": "2025-04-09T04:08:52Z",
  "published": "2022-05-02T03:25:13Z",
  "aliases": [
    "CVE-2009-1438"
  ],
  "details": "Integer overflow in the CSoundFile::ReadMed function (src/load_med.cpp) in libmodplug before 0.8.6, as used in gstreamer-plugins, TTPlayer, and other products, allows context-dependent attackers to execute arbitrary code via a MED file with a crafted (1) song comment or (2) song name, which triggers a heap-based buffer overflow, as exploited in the wild in August 2008.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1438"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=496834"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/50388"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=266913"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-07/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://modplug-xmms.cvs.sourceforge.net/viewvc/modplug-xmms/libmodplug/src/load_med.cpp?r1=1.1&amp%3Br2=1.2"
    },
    {
      "type": "WEB",
      "url": "http://modplug-xmms.cvs.sourceforge.net/viewvc/modplug-xmms/libmodplug/src/load_med.cpp?r1=1.1&amp;r2=1.2"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/53801"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34797"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34930"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35026"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35685"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35736"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36158"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36183"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200907-07.xml"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?release_id=677065&group_id=1275"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1850"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1851"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:128"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/04/21/4"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-package-announce/2009-April/msg00907.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-package-announce/2009-April/msg00908.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/30801"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-771-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1104"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-27T18:00:00Z"
  }
}